@mixin underline(
  $color: $c-black,
  $height: 9%,
  $background-position: 92%,
  $padding-bottom: 0,
  $transition: 'up',
  $max-up-height: 85%
) {
  display: inline;
  padding-bottom: $padding-bottom;
  color: $color;
  font-weight: 600;
  background-image: linear-gradient($color, $color);
  background-repeat: no-repeat;
  background-position: 0 $background-position;

  @if ($transition == 'side') {
    background-size: 0 $height;
  } @else {
    background-size: 100% $height;
  }

  @if ($transition == 'up') {
    transition: color 175ms ease, background-size 175ms ease;

    &:hover,
    &.focus-visible {
      color: invert($color, 100%);
      background-size: 100% $max-up-height;
    }
  } @else if ($transition == 'side') {
    background-size: 0 $height;
    transition: background-size 300ms ease;

    &:hover,
    &.focus-visible {
      background-size: 100% $height;
    }
  }
}
